如何安装 libanyevent-xmpp-perl Debian 11

在本教程中,我们学习如何安装 libanyevent-xmpp-perl Debian 11. libanyevent-xmpp-perl 是 XMPP 协议的实现

介绍

在本教程中我们学习如何安装 libanyevent-xmpp-perl 在 Debian 11.

什么是 libanyevent-xmpp-perl

libanyevent-xmpp-perl 是:

AnyEvent::XMPP 是 XMPP 在 Perl 中的实现,以前称为 Net::XMPP2,它允许您轻松编写客户端和组件。 与 Net::XMPP 相比,它提供基于事件的 API,并且独立于 AnyEvent 的事件循环。

实施了以下 XEP:

  • XEP-0004 – 数据表格
  • XEP-0030 – 服务发现
  • XEP-0054 – vcard-temp(XMPP vCard)
  • XEP-0066 – 带外数据
  • XEP-0077 – 带内注册
  • XEP-0078 – 非 SASL 身份验证
  • XEP-0082 – XMPP 日期和时间配置文件
  • XEP-0086 – 错误条件映射
  • XEP-0091 – 延迟交付(旧版)
  • XEP-0092 – 软件版本
  • XEP-0114 – Jabber 组件协议
  • XEP-0153 – 基于 vCard 的头像
  • XEP-0184 – 消息收据
  • XEP-0199 – XMPP Ping
  • XEP-0203 – 延迟交付(新)

AnyEvent 是一个进行基于事件的编程的框架,作为其他事件循环之上的薄抽象层实现。

有三种安装方法 libanyevent-xmpp-perl 在 Debian 11.我们可以使用 apt-get, aptaptitude。 在以下部分中,我们将描述每种方法。 您可以选择其中之一。

使用 apt-get 安装 libanyevent-xmpp-perl

更新 apt 数据库 apt-get 使用以下命令。

更新apt数据库后,我们可以安装 libanyevent-xmpp-perl 使用 apt-get 通过运行以下命令:

sudo apt-get -y install libanyevent-xmpp-perl

使用 apt 安装 libanyevent-xmpp-perl

更新 apt 数据库 apt 使用以下命令。

更新apt数据库后,我们可以安装 libanyevent-xmpp-perl 使用 apt 通过运行以下命令:

sudo apt -y install libanyevent-xmpp-perl

使用 aptitude 安装 libanyevent-xmpp-perl

如果您想遵循此方法,您可能需要先安装 aptitude,因为 aptitude 通常不会默认安装 Debian。 更新 apt 数据库 aptitude 使用以下命令。

更新apt数据库后,我们可以安装 libanyevent-xmpp-perl 使用 aptitude 通过运行以下命令:

sudo aptitude -y install libanyevent-xmpp-perl

如何卸载 libanyevent-xmpp-perl Debian 11

仅卸载 libanyevent-xmpp-perl 打包我们可以使用以下命令:

sudo apt-get remove libanyevent-xmpp-perl

卸载 libanyevent-xmpp-perl 及其依赖项

卸载 libanyevent-xmpp-perl 及其不再需要的依赖项 Debian 11、我们可以使用下面的命令:

sudo apt-get -y autoremove libanyevent-xmpp-perl

删除 libanyevent-xmpp-perl 配置和数据

去除 libanyevent-xmpp-perl 配置和数据来自 Debian 11.我们可以使用如下命令:

sudo apt-get -y purge libanyevent-xmpp-perl

删除 libanyevent-xmpp-perl 配置、数据及其所有依赖项

我们可以使用下面的命令来删除 libanyevent-xmpp-perl 配置、数据及其所有依赖项,我们可以使用以下命令:

sudo apt-get -y autoremove --purge libanyevent-xmpp-perl

依赖关系

libanyevent-xmpp-perl 具有以下依赖项:

参考

概括

在本教程中我们学习如何安装 libanyevent-xmpp-perl 封装在 Debian 11.使用不同的包管理工具: apt, apt-getaptitude